Documentation · API reference
POST/api/v1/sites/{site}/share/links

Post link

Parameters

sitein the address
neededThe site's id or name

What to send

ShareLinkCreate

name
stringneeded
password
string or null

The answer

Status 201

ShareLinkView

has_password
booleanneeded
id
stringneeded
last_opened
integer or null
made
integerneeded
name
stringneededWho it is for, in the owner's words.
opened
integerneeded
url
stringneededThe address that opens it.

Asking

With your token from Settings
curl -X POST https://tidekeeper.eu/api/v1/sites/example.org/share/links \
    -H "Authorization: Bearer $TIDEKEEPER_TOKEN" \
    -H "Content-Type: application/json" \
    -d '{"name": "…"}'
With your token from Settings
const answer = await fetch("https://tidekeeper.eu/api/v1/sites/example.org/share/links", {
  method: "POST",
  headers: {
    Authorization: `Bearer ${process.env.TIDEKEEPER_TOKEN}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({"name": "…"}),
}).then((r) => r.json());